org.eclipse.draw2d.graph

## Class Rank

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - org.eclipse.draw2d.graph.NodeList
        - - org.eclipse.draw2d.graph.Rank

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class Rank
    extends NodeList

For Internal Use only.

Since:
  2.1.2
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`Rank()`

### Method Summary

Methods
`int` `count()` Returns the number of nodes in this rank.
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`void` `sort()` Deprecated. Do not call

### Methods inherited from class org.eclipse.draw2d.graph.NodeList

`getNode`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll`

### Constructor Detail

#### Rank

    public Rank()

### Method Detail

#### count

    public int count()

Returns the number of nodes in this rank.

Returns:
  the number of nodes

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Collection`
Specified by:
  `equals` in interface `java.util.List`
Overrides:
  `equals` in class `java.util.AbstractList`
See Also:
  `Object.equals(Object)`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Collection`
Specified by:
  `hashCode` in interface `java.util.List`
Overrides:
  `hashCode` in class `java.util.AbstractList`
See Also:
  `Overridden for speed based on equality.`

#### sort

    public void sort()

Deprecated. Do not call